/**
 * Copyright Aquera Inc 2023
 *
 * This source code is licensed under the BSD-3-Clause license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { CSSResultArray, TemplateResult, PropertyValues } from 'lit';
import NileElement from '../internal/nile-element';
/**
 * Nile icon component.
 *
 * @tag nile-link
 *
 */
export declare class NileLink extends NileElement {
    /**
     * The styles for Link
     * @remarks If you are extending this class you can extend the base styles with super. Eg `return [super(), myCustomStyles]`
     */
    static get styles(): CSSResultArray;
    private readonly hasSlotController;
    private hasFocus;
    /** Disables the button. */
    disabled: boolean;
    button: boolean;
    href: string;
    connectedCallback(): void;
    protected updated(_changedProperties: PropertyValues): void;
    disconnectedCallback(): void;
    private handleHostClick;
    private handleBlur;
    private handleFocus;
    handleClick(e: MouseEvent): void;
    /**
     * Render method
     * @slot This is a slot test
     */
    render(): TemplateResult;
}
export default NileLink;
declare global {
    interface HTMLElementTagNameMap {
        'nile-link': NileLink;
    }
}
